Create a secret alias at the project level
curl --request POST \
--url https://api.qovery.com/project/{projectId}/secret/{secretId}/alias \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"key": "<string>",
"description": "<string>",
"enable_interpolation_in_file": true
}
'import requests
url = "https://api.qovery.com/project/{projectId}/secret/{secretId}/alias"
payload = {
"key": "<string>",
"description": "<string>",
"enable_interpolation_in_file": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({key: '<string>', description: '<string>', enable_interpolation_in_file: true})
};
fetch('https://api.qovery.com/project/{projectId}/secret/{secretId}/alias', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"key": "<string>",
"scope": "APPLICATION",
"updated_at": "2023-11-07T05:31:56Z",
"overridden_secret": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "<string>",
"mount_path": "<string>",
"scope": "APPLICATION",
"variable_type": "VALUE",
"description": "<string>",
"enable_interpolation_in_file": true
},
"aliased_secret": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "QOVERY_DATABASE_PSQL_NAME",
"mount_path": "<string>",
"scope": "APPLICATION",
"variable_type": "VALUE",
"description": "<string>",
"enable_interpolation_in_file": true
},
"variable_type": "VALUE",
"service_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"service_name": "<string>",
"service_type": "APPLICATION",
"owned_by": "<string>",
"description": "<string>",
"enable_interpolation_in_file": true
}Project Secret
Create a secret alias at the project level
- Allows you to add an alias at project level on an existing secret having higher scope, in order to customize its key.
- You only have to specify a key in the request body
- The system will create a new secret at project level with the same value as the one corresponding to the secret id in the path
- The response body will contain the newly created secret
- Information regarding the aliased_secret will be exposed in the “aliased_secret” field of the newly created secret
- You can’t create an alias on an alias
POST
/
project
/
{projectId}
/
secret
/
{secretId}
/
alias
Create a secret alias at the project level
Authorizations
bearerAuthApiKeyAuth
JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '
Body
application/json
Response
Create secret alias
key is case sensitive
Available options:
APPLICATION, BUILT_IN, ENVIRONMENT, PROJECT, CONTAINER, JOB, HELM, TERRAFORM Show child attributes
Show child attributes
Show child attributes
Show child attributes
type of the environment variable (VALUE, FILE, ALIAS, OVERRIDE, BUIT_IN, EXTERNAL_SECRET)
Available options:
VALUE, ALIAS, OVERRIDE, BUILT_IN, FILE, EXTERNAL_SECRET type of the service (application, database, job, gateway...)
Available options:
APPLICATION, CONTAINER, DATABASE, JOB, HELM, TERRAFORM Entity that created/own the variable (i.e: Qovery, Doppler)
optional variable description (255 characters maximum)
Maximum string length:
255Was this page helpful?